org.eclipse.microprofile.rest.client.tck.providers

## Class TestMessageBodyReader

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestMessageBodyReader

All Implemented Interfaces:
  jakarta.ws.rs.ext.MessageBodyReader<String>

    public class TestMessageBodyReader
    extends Object
    implements jakarta.ws.rs.ext.MessageBodyReader<String>

### Field Summary

Fields
`static String` `REPLACED_BODY`

### Constructor Summary

Constructors
Constructor and Description
`TestMessageBodyReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReadable(Class<?> aClass, Type type, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`String` `readFrom(Class<String> aClass, Type type, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> multivaluedMap, InputStream inputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REPLACED_BODY

    public static final String REPLACED_BODY

See Also:
  Constant Field Values

### Constructor Detail

#### TestMessageBodyReader

    public TestMessageBodyReader()

### Method Detail

#### isReadable

    public boolean isReadable(Class<?> aClass,
                              Type type,
                              Annotation[] annotations,
                              jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `jakarta.ws.rs.ext.MessageBodyReader<String>`

#### readFrom

    public String readFrom(Class<String> aClass,
                           Type type,
                           Annotation[] annotations,
                           jakarta.ws.rs.core.MediaType mediaType,
                           jakarta.ws.rs.core.MultivaluedMap<String,String> multivaluedMap,
                           InputStream inputStream)
                    throws IOException,
                           jakarta.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `jakarta.ws.rs.ext.MessageBodyReader<String>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`